Package org.eclipse.pde.core

## Interface IIdentifiable

All Known Subinterfaces:
  `IFragment`, `IPlugin`, `IPluginBase`, `IPluginExtension`, `IPluginExtensionPoint`, `IPluginImport`, `IPluginReference`

All Known Implementing Classes:
  `PluginReference`

    public interface IIdentifiable

Classes implement this interface if their instances need to be uniquely identified using an id.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `P_ID` A property that will be carried by the change event if 'id' field of this object is changed.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` Returns a unique id of this object.
`void` `setId​(String id)` Sets the id of this IIdentifiable to the provided value.

### Field Detail

#### P_ID

    static final String P_ID

A property that will be carried by the change event if 'id' field of this object is changed.

See Also:
  Constant Field Values

### Method Detail

#### getId

    String getId()

Returns a unique id of this object.

Returns:
  the id of this object

#### setId

    void setId​(String id)
        throws CoreException

Sets the id of this IIdentifiable to the provided value.

Parameters:
  `id` - a new id of this object
Throws:
  `CoreException` - If object is not editable.